/*  wxtry -- just create a framed window, a button, and draw a line
	when the button is pushed -- set up to work with RTcmix
	instruments, though.  BGG 2/2003
*/

#include "wx/wxprec.h"

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "wxtry.h"
#include <iostream.h>

#define MAIN		/* So RTcmix globals will be right */
#include <globals.h>
#include <RTcmix.h>


IMPLEMENT_APP(wxtry)

bool wxtry::OnInit()
{
	// create the frame
	wxFrame *frame = new wxFrame((wxFrame*) NULL, -1, "wxtry...",
		wxPoint(50, 50), wxSize(400, 200),
		wxDEFAULT_FRAME_STYLE, "wxtry");
	frame->Show(TRUE);
	SetTopWindow(frame);

	// create the button
	wxButton *button = new wxButton(frame, BUTTON_HIT, "hey!",
		wxPoint(20, 10), wxSize(40, 40));

	// "wdc" is the graphics 'context' (the thing used for drawing)
	wdc = new wxClientDC(frame);

	return true;
}

void wxtry::OnButton(wxCommandEvent& command)
{
	// draw the line when the button is pushed.
	// note the use of "wdc" here...
	wdc->SetPen(*wxRED_PEN);
	wdc->DrawLine(40,40, 190,190);

	cout << "button pushed..." << endl;
}

void wxtry::OnMouse(wxMouseEvent& command)
{
	// there's a lot of mouse events, this just shows any activity
	cout << "mousing..." << endl;
}


// these macros are what wxwindows uses to attach events with functions
BEGIN_EVENT_TABLE(wxtry, wxApp)
	EVT_BUTTON(BUTTON_HIT, wxtry::OnButton)
	EVT_MOUSE_EVENTS(wxtry::OnMouse)
END_EVENT_TABLE()

